libqxp::QXPDummyCollector Class Reference

`#include <QXPCollector.h>`

Inheritance diagram for libqxp::QXPDummyCollector:

## Public Member Functions

| QXPDummyCollector ()=default
Public Member Functions inherited from libqxp::QXPCollector
| QXPCollector ()=default
virtual | ~QXPCollector ()=default
virtual void | startDocument ()
virtual void | endDocument ()
virtual void | startPage (const Page &)
virtual void | endPage ()
virtual void | collectDocumentProperties (const QXPDocumentProperties &)
virtual void | collectLine (const std::shared_ptr< Line > &)
virtual void | collectBox (const std::shared_ptr< Box > &)
virtual void | collectTextBox (const std::shared_ptr< TextBox > &)
virtual void | collectTextPath (const std::shared_ptr< TextPath > &)
virtual void | collectGroup (const std::shared_ptr< Group > &)
virtual void | collectText (const std::shared_ptr< Text > &, const unsigned)

## Constructor & Destructor Documentation

## QXPDummyCollector()

libqxp::QXPDummyCollector::QXPDummyCollector | ( |  | ) |

default

The documentation for this class was generated from the following file:

- QXPCollector.h